Last Comment Bug 546040 - Port Bug 410996 - Answering a news article in a saved search folder not stored under a news account creates mail reply instead of follow-up
: Port Bug 410996 - Answering a news article in a saved search folder not sto...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.4
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Composition (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on: 410996 549802
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-13 14:00 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2010-03-16 14:03 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (908 bytes, patch)
2010-02-13 14:00 PST, Jens Hatlak (:InvisibleSmiley)
mnyromyr: review-
Details | Diff | Review
patch v2 [Checkin: Comment 8] (953 bytes, patch)
2010-02-16 10:43 PST, Jens Hatlak (:InvisibleSmiley)
mnyromyr: review+
neil: superreview+
iann_bugzilla: approval‑seamonkey2.0.4+
Details | Diff | Review

Description Jens Hatlak (:InvisibleSmiley) 2010-02-13 14:00:44 PST
Created attachment 426853 [details] [diff] [review]
patch

From TB Bug 410996:
"When a news article is displayed within a search folder and the user hits
Ctrl-R to write a follow-up, a mail reply to the author of the article is
initiated instead."

We support gFolderDisplay.selectedMessageIsNews since Bug 517238 and I assume it's here to stay so I hope that's not an issue.
Comment 1 Karsten Düsterloh 2010-02-15 15:03:54 PST
Comment on attachment 426853 [details] [diff] [review]
patch

With your patch, hitting ^R results in

Error: An error occurred executing the cmd_reply command: ReferenceError: event is not defined
Source File: chrome://global/content/globalOverlay.js
Line: 100

Clicking the reply button says

JavaScript error: chrome://messenger/content/mailWindowOverlay.js, line 1132: event is not defined


Also, can you try not to open composition at all if the message displayed comes from a RSS feed?
Comment 2 Jens Hatlak (:InvisibleSmiley) 2010-02-16 10:43:27 PST
Created attachment 427157 [details] [diff] [review]
patch v2 [Checkin: Comment 8]

(In reply to comment #1)
> (From update of attachment 426853 [details] [diff] [review])
> With your patch, hitting ^R results in (...)

Bah, copy+paste. :-(

> Also, can you try not to open composition at all if the message displayed comes
> from a RSS feed?

Like so?
Comment 3 Karsten Düsterloh 2010-02-17 14:43:46 PST
Comment on attachment 427157 [details] [diff] [review]
patch v2 [Checkin: Comment 8]

Yeah, much better.

OTOH, if you have a feed posting in the results, the Reply (All) buttons and (even context) menu items are still enabled. But I see this is the case for raw feed folders as well -> filed bug 546770.
Comment 4 Jens Hatlak (:InvisibleSmiley) 2010-02-17 15:28:34 PST
Comment on attachment 427157 [details] [diff] [review]
patch v2 [Checkin: Comment 8]

The corresponding TB bug (see initial comment) was fixed for TB 3.0.x as well so I'm requesting branch approval for parity (note that our fix does slightly more).
Comment 5 neil@parkwaycc.co.uk 2010-02-18 05:34:31 PST
What happens if you have multiple messages selected?
Comment 6 Jens Hatlak (:InvisibleSmiley) 2010-02-18 07:11:05 PST
(In reply to comment #5)
> What happens if you have multiple messages selected?

Then the decision is made based on the first selected message (folderDisplay.js: this.selectedMessage -> gDBView.hdrForFirstSelectedMessage).
Comment 7 neil@parkwaycc.co.uk 2010-02-21 09:48:15 PST
Comment on attachment 427157 [details] [diff] [review]
patch v2 [Checkin: Comment 8]

Well I guess this at least fixes the more common case of a search folder that searches a different account type (as distinct from a search folder that spans multiple account types).
Comment 8 Jens Hatlak (:InvisibleSmiley) 2010-02-21 13:52:14 PST
Comment on attachment 427157 [details] [diff] [review]
patch v2 [Checkin: Comment 8]

http://hg.mozilla.org/comm-central/rev/76cbea62986a
Comment 9 Ian Neal 2010-03-16 13:47:51 PDT
Comment on attachment 427157 [details] [diff] [review]
patch v2 [Checkin: Comment 8]

a=me for on SM2.04
Comment 10 Jens Hatlak (:InvisibleSmiley) 2010-03-16 14:03:03 PDT
http://hg.mozilla.org/releases/comm-1.9.1/rev/c90248ec9911

Note You need to log in before you can comment on or make changes to this bug.